Skip to main content
Webhooks

Delete a webhook

Permanently deletes a webhook.

DELETE
/v2/webhooks/{id}

Path Parameters

  • id - The webhook ID (24-character ObjectId)

Response

Returns a deletion confirmation object:

{
  "id": "507f1f77bcf86cd799439011",
  "object": "webhook",
  "deleted": true
}

Caution

This operation is irreversible. The webhook and its configuration will be permanently deleted. After deletion, no events will be sent to the webhook endpoint.

Version Availability

This endpoint is only available in API version 2026-01-01.nova and newer.

Authorizationstringheaderrequired

API key as Bearer token. Use: Authorization: Bearer sk_...

idstringrequired

Webhook unique identifier

Example: 507f1f77bcf86cd799439011
Featurebase-Versionenum<string>header

API version for this request. Defaults to your organization's configured API version if not specified.

Available options: 2026-08-19.orbit, 2026-01-01.nova, 2025-12-12.clover
Example: 2026-08-19.orbit

Response

application/json

Success

deletedenum<boolean>required

Indicates the resource was deleted

Available options: true
Example: true
idstringrequired

Unique identifier of the deleted webhook

Example: 507f1f77bcf86cd799439011
objectenum<string>required

Object type identifier

Available options: webhook
Example: webhook